curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/5ec00000-0000-4000-8000-000000000007/download-url/?file=xml' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/download-url/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/download-url/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"download_url": "<string>"
}{
"detail": "<string>",
"status": "<string>"
}Regulatory Reports
Get Report Download URL
Mint a presigned URL for a finalized report’s goAML XML or PDF.
GET
/
v3
/
organization
/
{organization_id}
/
application
/
{application_id}
/
regulatory-reports
/
{report_uuid}
/
download-url
/
curl
curl -X GET 'https://verification.didit.me/v3/organization/11111111-2222-3333-4444-555555555555/application/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/regulatory-reports/5ec00000-0000-4000-8000-000000000007/download-url/?file=xml' \
-H 'x-api-key: YOUR_API_KEY'import requests
url = "https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/download-url/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://verification.didit.me/v3/organization/{organization_id}/application/{application_id}/regulatory-reports/{report_uuid}/download-url/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"download_url": "<string>"
}{
"detail": "<string>",
"status": "<string>"
}
Get a presigned download URL for a finalized report’s goAML XML (for FIU portal submission) or PDF (for internal records).
Related
Authorizations
Path Parameters
Organization UUID.
Application UUID.
Report UUID.
Example:
"5ec00000-0000-4000-8000-000000000007"
Query Parameters
Which file to download.
Available options:
pdf, xml ⌘I